Subject: [Pana] RE: issue59: TTL and other IP layer details (update)

From: Alper Yegin <[email-masked]>
Date: Thu, 06 May 2004 12:27:27 -0700

(My earlier transmissions of this message failed..... let me try again.)

One proposed revision on the UDP port specification... This came up
during some IPsec discussions. In order to be able to enforce UDP port
based SPDs, we need to make sure at least one of the ports in a PANA
packet is assigned the official PANA port number. So:

In the newly proposed section 9.1, we had said:

   When the PANA packet is sent in response to a request, the UDP
   destination port MUST be copied from the source port of the
   corresponding packet.  An unsolicited PANA packet MUST set its
   destination port to a well-known value (TBD).  In either case, the
   source port can be set to a value chosen by the sender.

Instead let's say:

   When the PANA packet is sent in response to a request, the UDP
   source and destination ports of the response packet MUST be copied 
   from the destination and source ports of the request packet, 
   respectively. The destination port of an unsolicited PANA packet 
   MUST be set to an assigned value (TBD), and the source port MUST be
   set to a value chosen by the sender.

Comments welcome.

Alper

> -----Original Message-----
> From: Alper Yegin [mailto:[email-masked]]
> Sent: Tuesday, April 13, 2004 2:59 PM
> To: [email-masked]'
> Subject: issue59: TTL and other IP layer details
> 
> 
> Here is an attempt to fix this issue.
> 
> Change:
> 
> 4.1.7 Message Validity Check
> 
>    When a PANA message is received, the message is considered to be
>    invalid at least when one of the following conditions are not met:
> 
>    o  Each field in the message header contains a valid value
including
>       sequence number, message length, message type, version number,
>       flags, etc.
> 
> To:
> 
> 4.1.7 Message Validity Check
> 
>    When a PANA message is received, the message is considered to be
>    invalid at least when one of the following conditions are not met:
> 
>    o  The IP Hop Limit (or TTL) field has a value of 255, i.e., the
packet
>       could not possibly have been forwarded by a router.
> 
>    o  Each field in the message header contains a valid value
including
>       sequence number, message length, message type, version number,
>       flags, etc.
> 
> 
> Insert a new section 9.1:
> 
> 9.1 IP and UDP Headers
> 
> The Hop Limit (or TTL) field of the IP header MUST be set to 255. IP 
> destination address of a PANA-PAA-Discover message is set to a 
> well-known link-local multicast address (TBD). Any other PANA packet 
> is unicasted between the PaC and the PAA. The source and destination 
> addresses SHOULD be set to the addresses on the interfaces from which 
> the message will be sent and received, respectively.
> 
> When the PANA packet is sent in response to a request, the UDP 
> destination port MUST be copied from the source port of the 
> corresponding packet. An unsolicited PANA packet MUST set its 
> destination port to a well-known value (TBD). In either case, the 
> source port can be set to a value chosen by the sender.
> 
> 
> Also:
> 
> 4.1.2 Transport Layer Protocol
> 
>    PANA uses UDP as its transport layer protocol.  The UDP port number
>    is TBD.  All messages except for PANA-PAA-Discover are always
>    unicast.  PaC MUST NOT use unspecified IP address for communicating
>    with PAA.
> 
> Let's remove the last statement, we don't have to state that 
> unspecified addressed cannot be used (it's obvious).
> 
> Alper
> 

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana

---

From: Alper Yegin <[email-masked]>
Date: Thu, 06 May 2004 12:27:27 -0700

Instead let's say:

Comments welcome.

Alper

including
packet
including